import { KeyPair } from '@microsoft/dev-tunnels-ssh';
import { KeyFormatter } from './keyFormatter';
import { KeyData } from './keyData';
/**
 * Auto-detects the format of a key when importing, by trying all the available formatters.
 */
export declare class DefaultKeyFormatter implements KeyFormatter {
    export(keyPair: KeyPair, includePrivate: boolean): Promise<KeyData>;
    encrypt(keyData: KeyData, passphrase: string): Promise<KeyData>;
    import(keyData: KeyData): Promise<KeyPair | null>;
    decrypt(keyData: KeyData, passphrase: string | null): Promise<KeyData | null>;
}
//# sourceMappingURL=defaultKeyFormatter.d.ts.map