import { KeyPair } from '@microsoft/dev-tunnels-ssh';
import { KeyFormatter } from './keyFormatter';
import { KeyData } from './keyData';
/** Provides import/export of the SSH public key format. */
export declare class PublicKeyFormatter implements KeyFormatter {
    import(keyData: KeyData): Promise<KeyPair | null>;
    export(keyPair: KeyPair, includePrivate: boolean): Promise<KeyData>;
    decrypt(keyData: KeyData, passphrase: string | null): Promise<KeyData | null>;
    encrypt(keyData: KeyData, passphrase: string): Promise<KeyData>;
}
//# sourceMappingURL=publicKeyFormatter.d.ts.map